| Flutter Linux Embedder |

Public Member Functions | List of all members
flutter::ByteBufferStreamWriter Class Reference

`#include <byte_buffer_streams.h>`

Inheritance diagram for flutter::ByteBufferStreamWriter:

## Public Member Functions
| ByteBufferStreamWriter (std::vector< uint8_t > *buffer)
virtual | ~ByteBufferStreamWriter ()=default
void | WriteByte (uint8_t byte)
void | WriteBytes (const uint8_t *bytes, size_t length)
void | WriteAlignment (uint8_t alignment)
Public Member Functions inherited from flutter::ByteStreamWriter
| ByteStreamWriter ()=default
virtual | ~ByteStreamWriter ()=default
void | WriteInt32 (int32_t value)
void | WriteInt64 (int64_t value)
void | WriteDouble (double value)

## Detailed Description

Definition at line 65 of file byte_buffer_streams.h.

## Constructor & Destructor Documentation

## ◆ ByteBufferStreamWriter()

flutter::ByteBufferStreamWriter::ByteBufferStreamWriter | ( | std::vector< uint8_t > * | buffer | ) |
| inlineexplicit

Definition at line 69 of file byte_buffer_streams.h.

70 : bytes_(buffer) {
71 assert(buffer);
72 }

References buffer.

## ◆ ~ByteBufferStreamWriter()

virtual flutter::ByteBufferStreamWriter::~ByteBufferStreamWriter | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ WriteAlignment()

void flutter::ByteBufferStreamWriter::WriteAlignment | ( | uint8_t | alignment | ) |
| inlinevirtual

Implements flutter::ByteStreamWriter.

Definition at line 86 of file byte_buffer_streams.h.

86 {
87 uint8_t mod = bytes_->size() % alignment;
88 if (mod) {
89 for (int i = 0; i < alignment - mod; ++i) {
90 WriteByte(0);
91 }
92 }
93 }

References i, and WriteByte().

## ◆ WriteByte()

void flutter::ByteBufferStreamWriter::WriteByte | ( | uint8_t | byte | ) |
| inlinevirtual

Implements flutter::ByteStreamWriter.

Definition at line 77 of file byte_buffer_streams.h.

77 { bytes_->push_back(byte); }

Referenced by WriteAlignment().

## ◆ WriteBytes()

void flutter::ByteBufferStreamWriter::WriteBytes | ( | const uint8_t * | bytes,
|  | size_t | length
| ) |  |
| inlinevirtual

Implements flutter::ByteStreamWriter.

Definition at line 80 of file byte_buffer_streams.h.

80 {
81 assert(length > 0);
82 bytes_->insert(bytes_->end(), bytes, bytes + length);
83 }

References length.

The documentation for this class was generated from the following file:

- shell/platform/common/client_wrapper/byte_buffer_streams.h

i
int i
Definition: fl_socket_accessible.cc:18
flutter::ByteBufferStreamWriter::WriteByte
void WriteByte(uint8_t byte)
Definition: byte_buffer_streams.h:77
buffer
static const uint8_t buffer[]
Definition: fl_pixel_buffer_texture_test.cc:44
length
size_t length
Definition: fl_standard_message_codec_test.cc:1113